| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__QueryDestinationRequest Class Reference
Destination and Route

Query Destination request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__boolean | Specific
| Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
xsd__string | InterfaceWsdl
| Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level. More...
xsd__short | SortingType
| Defines whether sorting is done by {NumberPlanName, DestId} or DestId alone. More...
GenericDestinationQueryObject | Destination
| Query Destination data. More...
GenericRouteQueryObject | Route
| Query Route data. More...

## Detailed Description

Query Destination request.

Used by unsp__queryDestination()

## Member Data Documentation

## ◆ Destination

GenericDestinationQueryObject unsp__QueryDestinationRequest::Destination

Query Destination data.

required: false

## ◆ InterfaceWsdl

xsd__string unsp__QueryDestinationRequest::InterfaceWsdl

Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level.

required: false

## ◆ OperatorId

xsd__string unsp__QueryDestinationRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__QueryDestinationRequest::Paging

Standard paging structure.

required: false

## ◆ Route

GenericRouteQueryObject unsp__QueryDestinationRequest::Route

Query Route data.

required: false

## ◆ SortingType

xsd__short unsp__QueryDestinationRequest::SortingType

Defines whether sorting is done by {NumberPlanName, DestId} or DestId alone.

required: false
default value[range]: 0

## ◆ Specific

xsd__boolean unsp__QueryDestinationRequest::Specific

Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved.

If True, any other input parameters are used to search for the exact object instance being requested. If False, any other input parameters are used as filter criteria and a list of objects matching the given parameters may be returned.
default value[range]: false

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h